VST 3 SDK VST 3.7 SDK for developing VST plug-in

Functions
Steinberg::Vst::Helpers Namespace Reference

## Functions
template<class T >
T | boundTo (T minval, T maxval, T x)
| bound a value between a min and max More...
Event & | init (Event &event, uint16 type, int32 busIndex=0, int32 sampleOffset=0, TQuarterNotes ppqPosition=0, uint16 flags=0)
| Initialized a Event. More...
ParamValue | getMIDINormValue (uint8 value)
| Returns normalized value of a LegacyMIDICCOutEvent value [0, 127]. More...
int8 | getMIDICCOutValue (ParamValue value)
| Returns LegacyMIDICCOut value [0, 127] from a normalized value [0., 1. More...
int16 | getPitchBendValue (const LegacyMIDICCOutEvent &e)
| Returns pitchbend value from a PitchBend LegacyMIDICCOut Event. More...
void | setPitchBendValue (LegacyMIDICCOutEvent &e, ParamValue value)
| set a normalized pitchbend value to a LegacyMIDICCOut Event More...
float | getNormPitchBendValue (const LegacyMIDICCOutEvent &e)
| Returns normalized pitchbend value from a PitchBend LegacyMIDICCOut Event. More...
LegacyMIDICCOutEvent & | initLegacyMIDICCOutEvent (Event &event, uint8 controlNumber, uint8 channel=0, int8 value=0, int8 value2=0)
| Initialized a LegacyMIDICCOutEvent. More...
tresult | isProjectState (IBStream *state)
| Helpers. More...

## Function Documentation

## ◆ boundTo()

T Steinberg::Vst::Helpers::boundTo | ( | T | minval,
|  | T | maxval,
|  | T | x
| ) |  |
| inline

bound a value between a min and max

## ◆ init()

Event & Steinberg::Vst::Helpers::init | ( | Event & | event,
|  | uint16 | type,
|  | int32 | busIndex = `0`,
|  | int32 | sampleOffset = `0`,
|  | TQuarterNotes | ppqPosition = `0`,
|  | uint16 | flags = `0`
| ) |  |
| inline

Initialized a Event.

## ◆ getMIDINormValue()

ParamValue Steinberg::Vst::Helpers::getMIDINormValue | ( | uint8 | value | ) |
| inline

Returns normalized value of a LegacyMIDICCOutEvent value [0, 127].

## ◆ getMIDICCOutValue()

int8 Steinberg::Vst::Helpers::getMIDICCOutValue | ( | ParamValue | value | ) |
| inline

Returns LegacyMIDICCOut value [0, 127] from a normalized value [0., 1.

]

## ◆ getPitchBendValue()

int16 Steinberg::Vst::Helpers::getPitchBendValue | ( | const LegacyMIDICCOutEvent & | e | ) |
| inline

Returns pitchbend value from a PitchBend LegacyMIDICCOut Event.

## ◆ setPitchBendValue()

void Steinberg::Vst::Helpers::setPitchBendValue | ( | LegacyMIDICCOutEvent & | e,
|  | ParamValue | value
| ) |  |
| inline

set a normalized pitchbend value to a LegacyMIDICCOut Event

## ◆ getNormPitchBendValue()

float Steinberg::Vst::Helpers::getNormPitchBendValue | ( | const LegacyMIDICCOutEvent & | e | ) |
| inline

Returns normalized pitchbend value from a PitchBend LegacyMIDICCOut Event.

## ◆ initLegacyMIDICCOutEvent()

LegacyMIDICCOutEvent & Steinberg::Vst::Helpers::initLegacyMIDICCOutEvent | ( | Event & | event,
|  | uint8 | controlNumber,
|  | uint8 | channel = `0`,
|  | int8 | value = `0`,
|  | int8 | value2 = `0`
| ) |  |
| inline

Initialized a LegacyMIDICCOutEvent.

## ◆ isProjectState()

tresult Steinberg::Vst::Helpers::isProjectState | ( | IBStream * | state | ) |
| inline

Helpers.

Retrieve from a IBStream the state type, here the StateType::kProject return kResultTrue if the state is coming from a project, return kResultFalse if the state is coming from a preset, return kNotImplemented if the host does not implement such feature

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.